#2488 closed defect (fixed)

Vagrant Scripts

Reported by: Joel Sherrill Owned by: Ben Gras
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Ben.. someone posted on IRC that they used your scripts but the clones point to your personal repos which are out of date I am guessing.

Also is this discussed anywhere on the RTEMS wiki?

Change History (11)

comment:1 Changed on Dec 11, 2015 at 11:43:05 AM by Ben Gras

Drat. OK I am going to look into this.

comment:2 Changed on Dec 12, 2015 at 8:47:43 PM by Ben Gras

I have

. reproduced the problem

To fix some encountered problems, I

. rebased my RSB repo
. changed to the 4.12 ARM bset
. updated the qemu linaro commit id to accept newly passed configure options
. rebased my rtems-tools repo
. hard-coded an RTEMS module location in rtems-test so it could find rtemstoolkit - not sure what a clean fix is there

As a result, tests are passing using the bbxm linaro qemu, making it Very Likely that everything is fixed.

I have to go now but as far as I'm concerned this ticket can be closed once I (or anyone) verified with their own eyes that this newly built BSP boots on real hardware. All changes are pushed so anyone can try.

comment:3 in reply to:  2 ; Changed on Dec 13, 2015 at 1:46:38 AM by Chris Johns

. hard-coded an RTEMS module location in rtems-test so it could find rtemstoolkit - not sure what a clean fix is there

This has been fixed in a recent patch in the rtems-tools. Can you please test it?

Last edited on Dec 13, 2015 at 4:38:24 AM by Chris Johns (previous) (diff)

comment:4 in reply to:  3 Changed on Dec 13, 2015 at 4:35:16 AM by Ben Gras

Replying to chrisj:

. hard-coded an RTEMS module location in rtems-test so it could find rtemstoolkit - not sure what a clean fix is there

This has been fixed in a recent path in the rtems-tools. Can you please test it?

Got it. It seemed to me I had fully rebased but I will re-investigate when I have some more time.

comment:6 Changed on Dec 13, 2015 at 4:53:13 AM by Ben Gras

Acknowledged. I have to get to bed, please let me update later..

comment:7 Changed on Dec 27, 2015 at 2:33:17 AM by Ben Gras

Resolution: fixed
Status: newclosed

All build problems are fixed in my RSB repo. I have verified it works from scratch on real hw. I had to fix an additional build problem in uboot now that gcc has major version 6.

I am going to resolve this ticket and retry the tools test.

comment:8 Changed on Dec 27, 2015 at 3:18:58 AM by Ben Gras

@chris, it seems your later commit of running the tester from a git clone did the trick - i rebased and the tester works now too.

Unfortunately there is now yet another problem with a new uboot for the bbxm so the actual tests have started failing :(.

comment:9 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:10 Changed on Oct 10, 2017 at 6:12:28 AM by Sebastian Huber

Component: Otherunspecified

comment:11 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.